Subject: Re: usbnet: smsc95xx: fix link detection for disabled autonegotiation

From: Andrew Lunn <[email-masked]>
Date: Thu, 26 May 2016 04:31:20 +0200

On Thu, May 26, 2016 at 04:06:47AM +0200, Christoph Fritz wrote:
> To detect link status up/down for connections where autonegotiation is
> explicitly disabled, we don't get an irq but need to poll the status
> register for link up/down detection.
> This patch adds a workqueue to poll for link status.

Did you consider using the phylib? It probably does the needed polling
already, and it looks like the functions needed to implement an MDIO
bus are already in place.

    Andrew